Webhooks / REST API
Create webhook endpoint
Create an HTTPS webhook endpoint with explicit event subscriptions and optional campaign filters and destination authentication. Returns a signing secret once.
POST /api/v1/webhook-endpointsDeterministic operationParameters
workspaceIdOptional · string- See the input schema for this field.
nameRequired · string- See the input schema for this field.
urlRequired · string- See the input schema for this field.
eventTypesRequired · array- See the input schema for this field.
filtersOptional · object- See the input schema for this field.
destinationAuthOptional · object- See the input schema for this field.
activeOptional · boolean- See the input schema for this field.
curl -X POST "https://app.pipeline.help/api/v1/webhook-endpoints" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name":"example","url":"https://example.com","eventTypes":["campaign.started"]}'Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string",
"format": "uuid"
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 120
},
"url": {
"type": "string",
"format": "uri",
"maxLength": 2048
},
"eventTypes": {
"type": "array",
"minItems": 1,
"maxItems": 100,
"items": {
"type": "string",
"enum": [
"campaign.started",
"campaign.paused",
"campaign.resumed",
"campaign.completed",
"linkedin.reply.received",
"reply.classified",
"prospect.stage.changed",
"meeting.booked",
"workflow.run.started",
"workflow.run.completed",
"workflow.run.failed",
"workflow.run.awaiting_approval",
"approval.required",
"approval.resolved"
]
}
},
"filters": {
"type": "object",
"properties": {
"campaignIds": {
"type": "array",
"maxItems": 100,
"items": {
"type": "string",
"format": "uuid"
}
}
},
"additionalProperties": false
},
"destinationAuth": {
"oneOf": [
{
"type": "object",
"properties": {
"type": {
"const": "none"
}
},
"required": [
"type"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"type": {
"const": "bearer"
},
"value": {
"type": "string",
"minLength": 1
}
},
"required": [
"type",
"value"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"type": {
"const": "basic"
},
"username": {
"type": "string",
"minLength": 1
},
"password": {
"type": "string",
"minLength": 1
}
},
"required": [
"type",
"username",
"password"
],
"additionalProperties": false
},
{
"type": "object",
"properties": {
"type": {
"const": "custom_header"
},
"headerName": {
"type": "string",
"minLength": 1
},
"value": {
"type": "string",
"minLength": 1
}
},
"required": [
"type",
"headerName",
"value"
],
"additionalProperties": false
}
]
},
"active": {
"type": "boolean"
}
},
"required": [
"name",
"url",
"eventTypes"
]
}